package org.jeecg.modules.sampleAndConsumableManagement.service;

import org.jeecg.modules.projectManagement.entity.FdContract;
import org.jeecg.modules.sampleAndConsumableManagement.entity.FdStandardProducts;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Description: 标准品管理
 * @author： jeecg-boot
 * @date：   2019-06-12
 * @version： V1.0
 */
public interface IFdStandardProductsService extends IService<FdStandardProducts> {
    void addAll(FdStandardProducts fdStandardProducts);

    FdStandardProducts queryStandardByConId(String id);

    boolean deleteAll(String id);

    List<FdContract> getFileContractList();
}
